MTM2.com

A forum for mtm2 discussion
FAQ :: Search :: Members :: Groups :: Register
Login
It is currently Fri Nov 16, 2018 11:08 am



Post new topic Reply to topic  [ 24 posts ]  Go to page Previous  1, 2   
Author Message
 Post subject: Re: MTM2 Community Patch #1
PostPosted: Mon Nov 13, 2017 4:49 pm 
Member
User avatar

Joined: Mon Oct 27, 2003 7:28 pm
Posts: 520
You'd just have to go in and manually edit the .TRK file like the old days, that's all. The difficulty would be maintaining compatibility with older trucks. So say you ended up with separate models for left right and front rear. So you have four models for the game - WHL16RR, WHL16LR, WHL16RF, WHL16LF...but what happens when the game finds a truck that doesn't have those files?


Top
 Profile  
 
 Post subject: Re: MTM2 Community Patch #1
PostPosted: Mon Nov 13, 2017 5:46 pm 
Member
User avatar

Joined: Mon Jul 02, 2001 2:01 pm
Posts: 1309
Location: Lost in Translation
Think keeping compatibility might not be that problematic. They implemented a rudimentary check to see if it's a mtm1 or an mtm2 truck. Using same rudimentary check I can differentiate the new truck and have new instructions for it.

Note: However... this would render any "advanced" truck totally unusable with the non-patched version of the game as the original code will probably crash if it can't find the right tires.


Top
 Profile  
 
 Post subject: Re: MTM2 Community Patch #1
PostPosted: Mon Nov 13, 2017 7:41 pm 
Member
User avatar

Joined: Mon Oct 27, 2003 7:28 pm
Posts: 520
Unless truck makers just know to put both types of tires in the pod ;-)


Top
 Profile  
 
 Post subject: Re: MTM2 Community Patch #1
PostPosted: Wed Jul 04, 2018 4:23 am 
Member
User avatar

Joined: Fri Jun 03, 2016 9:09 pm
Posts: 168
So I think ONaN had trouble installing that new version of the game. Dunno what went wrong but he said the game wouldn't open properly, he said he kept getting AV. I told him to make a post about it on this forum but I don't see any post about it. I don't remember if he installed Comm. patch 1 or 2, and don't remember the whole order of all the patches and beta #'s you're supposed to install everything in. So, next time you see him, might want to talk to him about that and try to get it working. I told him to get dgVoodoo, but he said he has nglide.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 24 posts ]  Go to page Previous  1, 2   


Who is online

Users browsing this forum: No registered users and 15 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group